﻿od.TreeComboInNewDesign = function (nodesForTreeList, parentHolder, width, height, clientID, onChangeSelection, parentObject, pDopCss) {
    this.ParentObject = parentObject;
    var mainDivWithCombo = document.createElement("div");
    mainDivWithCombo.className = "MainDivWithCombo";
    parentHolder.appendChild(mainDivWithCombo);

    var elem_count = nodesForTreeList.length;
    var h_d = elem_count*26 + 4;

    var treeList = new PP.Ui.TreeList({
        Nodes: nodesForTreeList,
        RowSelect: true,
        ShowLines: false,
        ShowToolTips: false,
        ShowColumns: true,
        EmptySelection: false,
        Columns: [{ Visible: false }, { Visible: false}],
        SelectionChanged: function () { if (onChangeSelection) { onChangeSelection(parentObject); } }
    });

    treeList.addClass("TreeListDesign elemCnt" + nodesForTreeList.length);

    var TopFilletBlockParam = {
        widthLeftCorner: 6,
        widthRightCorner: 6,
        height: 1,
        idPrefix: clientID + "_TreeDropPanelTop",
        classForLeftCorner: "TreeDropPanelTopLeftCorner",
        classForRightCorner: "TreeDropPanelTopRightCorner",
        classForLine: "TreeDropPanelTopCenterLine"
    };
    var top_line = new Design.TopFilletBlockMaster(TopFilletBlockParam);

    var BottomFilletBlockParam = {
        widthLeftCorner: 8,
        widthRightCorner: 8,
        height: 3,
        idPrefix: clientID + "_TreeDropPanelBottom",
        classForLeftCorner: "TreeDropPanelBottomLeftCorner",
        classForRightCorner: "TreeDropPanelBottomRightCorner",
        classForLine: "TreeDropPanelBottomCenterLine"
    };
    var bottom_line = new Design.TopFilletBlockMaster(BottomFilletBlockParam);

    var TemplateForDropPanel = "<table class='DropPanelTableComboDesign' cellpadding=0 cellspacing=0 style='width: " + (width + 2) + "px;'><tr><td style='display: none'></td><td>" + top_line.resultSTR + "</td><td style='display: none'></td></tr>" +
    "<tr><td style='display: none'></td><td>{Content}</td><td style='display: none'></td></tr>" +
    "<tr><td style='display: none'></td><td>" + bottom_line.resultSTR + "</td><td style='display: none'></td></tr></table>";

    var self = this;
    this.ComboBox = new PP.Ui.TreeCombo({
        ParentNode: mainDivWithCombo,
        Width: width,
        Height: height,
        HideOnNodeClick: true,
        TreeList: treeList,
        Template: "{Content}",
        DropPanel: {
            Template: TemplateForDropPanel,
            EnableResize: false,
            Height: h_d
        }
    });
    od.MainScrollBoxForAllPages.ArrayOfComboElements.push(this.ComboBox);
    this.ComboBox.getDropPanel().addClass("DropPanelComboDesign");

    mainDivWithCombo.onmousedown = function () { $(this).addClass('Active'); };
    mainDivWithCombo.onmouseup = function () { $(this).removeClass('Active'); };
    mainDivWithCombo.onmouseout = function () { $(this).removeClass('Active'); };

    this.ComboBox.addClass("TreeComboDesign");

    var parentN = this.ComboBox.getContentNode().parentNode;

    var divForContent = document.createElement("div");
    divForContent.style.cssText = "position: relative;";

    var divForArrow = document.createElement("div");
    divForArrow.id = clientID + "ArrHolder";
    divForArrow.className = "DesignArrHolder";

    divForContent.appendChild(this.ComboBox.getContentNode());
    divForContent.appendChild(divForArrow);

    var CenterFilletBlockParam = {
        widthLeftLine: 6,
        widthRightLine: 6,
        contentHolder: divForContent,
        idPrefix: clientID + "_ComboC",
        parentHolder: parentN,
        classForLeftLine: "ComboBoxDesignLeftLine",
        classForRightLine: "ComboBoxDesignRightLine",
        classForBackgroundColor: "ComboBoxDesignBackground " + pDopCss
    };
    new Design.CenterFilletBlockMaster(CenterFilletBlockParam);
};
