﻿if (typeof Design == "undefined") var Design = new Object();

Design.CenterFilletBlockMaster = function (param) {
    if (typeof param.pathForLeftLine != "undefined") {
        this.PathForLeftLine = param.pathForLeftLine;
    }
    this.PositionForLeftLine = "0 0";
    if (typeof param.positionForLeftLine != "undefined") {
        this.PositionForLeftLine = param.positionForLeftLine;
    }
    if (typeof param.classForLeftLine != "undefined") {
        this.ClassForLeftLine = param.classForLeftLine;
    }

    if (typeof param.pathForRightLine != "undefined") {
        this.PathForRightLine = param.pathForRightLine;
    }
    this.PositionForRightLine = "0 0";
    if (typeof param.positionForRightLine != "undefined") {
        this.PositionForRightLine = param.positionForRightLine;
    }
    if (typeof param.classForRightLine != "undefined") {
        this.ClassForRightLine = param.classForRightLine;
    }

    this.WidthLeftLine = param.widthLeftLine;
    this.WidthRightLine = param.widthRightLine;

    if (typeof param.backgroundColor != "undefined") {
        this.BackgroundColor = param.backgroundColor;
    }
    if (typeof param.pathBackgroundColor != "undefined") {
        this.PathBackgroundColor = param.pathBackgroundColor;
    }
    this.PositionForBackgroundColor = "0 0";
    if (typeof param.positionForBackgroundColor != "undefined") {
        this.PositionForBackgroundColor = param.positionForBackgroundColor;
    }
    if (typeof param.classForBackgroundColor != "undefined") {
        this.ClassForBackgroundColor = param.classForBackgroundColor;
    }

    if (typeof param.parentHolder != "undefined") {
        this.ParentHolder = param.parentHolder;
    }
    if (typeof param.contentHolder != "undefined") {
        this.ContentHolder = param.contentHolder;
    }
    if (typeof param.contentText != "undefined") {
        this.ContentText = param.contentText;
    }
    if (typeof param.idPrefix != "undefined") {
        this.IdPrefix = param.idPrefix;
    }

    this.resultSTR = this.Init();
};

Design.CenterFilletBlockMaster.prototype = {
    Init: function () {
        var parentDiv = document.createElement("DIV");
        parentDiv.style.cssText = "overflow: hidden;";
        if (this.IdPrefix) {
            parentDiv.id = this.IdPrefix + "_ParentDiv";
        }

        var divLeftLine = document.createElement("DIV");
        var css_text = "float: left; width: " + this.WidthLeftLine + "px; padding-bottom: 20000px; " +
                                    "margin-bottom: -20000px;";
        if (this.PathForLeftLine) {
            css_text = css_text + "background-repeat: repeat-y; position: relative; background-image: url(" + this.PathForLeftLine + "); background-position: " + this.PositionForLeftLine + "; ";
        }
        divLeftLine.style.cssText = css_text;
        if (this.IdPrefix) {
            divLeftLine.id = this.IdPrefix + "_LeftLine";
        }
        if (this.ClassForLeftLine) {
            divLeftLine.className = this.ClassForLeftLine;
        }
        parentDiv.appendChild(divLeftLine);

        var divRightLine = document.createElement("DIV");
        css_text = "width: " + this.WidthRightLine + "px; float: right; padding-bottom: 20000px; " +
                                    "margin-bottom: -20000px;";
        if (this.PathForRightLine) {
            css_text = css_text + "background-repeat: repeat-y; position: relative; background-image: url(" + this.PathForRightLine + "); background-position: " + this.PositionForRightLine + "; ";
        }
        divRightLine.style.cssText = css_text;
        if (this.IdPrefix) {
            divRightLine.id = this.IdPrefix + "_RightLine";
        }
        if (this.ClassForRightLine) {
            divRightLine.className = this.ClassForRightLine;
        }
        parentDiv.appendChild(divRightLine);

        var divCenterContent = document.createElement("DIV");
        var style_center_block = "margin-left: " + this.WidthLeftLine + "px; margin-right: " + this.WidthRightLine + "px; " +
                                        "padding-bottom: 20000px; margin-bottom: -20000px;";
        if (typeof this.BackgroundColor != "undefined") {
            style_center_block = style_center_block + " background-color: " + this.BackgroundColor + ";";
        }
        if (typeof this.PathBackgroundColor != "undefined") {
            style_center_block = style_center_block + " background-image: url(" + this.PathBackgroundColor + "); background-position: " + this.PositionForBackgroundColor + "; ";
        }
        divCenterContent.style.cssText = style_center_block;
        if (this.IdPrefix) {
            divCenterContent.id = this.IdPrefix + "_CenterContent";
        }
        if (this.ClassForBackgroundColor) {
            divCenterContent.className = this.ClassForBackgroundColor;
        }

        if (this.ContentHolder) {
            divCenterContent.appendChild(this.ContentHolder);
        }
        if (this.ContentText) {
            divCenterContent.innerHTML = this.ContentText;
        }

        parentDiv.appendChild(divCenterContent);

        if (this.ParentHolder) {
            this.ParentHolder.appendChild(parentDiv);
        }

        return parentDiv.outerHTML;
    }
};