﻿if (typeof Design == "undefined") var Design = new Object();

Design.TopFilletBlockMaster = function (param) {
    if (typeof param.pathForLeftCorner != "undefined") {
        this.PathForLeftCorner = param.pathForLeftCorner;
    }
    this.PositionForLeftCorner = "0 0";
    if (typeof param.positionForLeftCorner != "undefined") {
        this.PositionForLeftCorner = param.positionForLeftCorner;
    }
    if (typeof param.classForLeftCorner != "undefined") {
        this.ClassForLeftCorner = param.classForLeftCorner;
    }

    if (typeof param.pathForRightCorner != "undefined") {
        this.PathForRightCorner = param.pathForRightCorner;
    }
    this.PositionForRightCorner = "0 0";
    if (typeof param.positionForRightCorner != "undefined") {
        this.PositionForRightCorner = param.positionForRightCorner;
    }
    if (typeof param.classForRightCorner != "undefined") {
        this.ClassForRightCorner = param.classForRightCorner;
    }

    if (typeof param.pathForLine != "undefined") {
        this.PathForLine = param.pathForLine;
    }
    this.PositionForLine = "0 0";
    if (typeof param.positionForLine != "undefined") {
        this.PositionForLine = param.positionForLine;
    }
    if (typeof param.classForLine != "undefined") {
        this.ClassForLine = param.classForLine;
    }

    this.WidthLeftCorner = param.widthLeftCorner;
    this.WidthRightCorner = param.widthRightCorner;
    this.Height = param.height;
    if (typeof param.parentHolder != "undefined") {
        this.ParentHolder = param.parentHolder;
    }
    if (typeof param.idPrefix != "undefined") {
        this.IdPrefix = param.idPrefix;
    }

    this.resultSTR = this.Init();
};

Design.TopFilletBlockMaster.prototype = {
    Init: function () {
        var parentDiv = document.createElement("DIV");

        var css_text = "position: relative; margin-left: " + this.WidthLeftCorner + "px; margin-right: " + this.WidthRightCorner + "px; height: " + this.Height + "px; ";
        if (this.PathForLine) {
            css_text = css_text + " background-image: url(" + this.PathForLine + "); background-position: " + this.PositionForLine + "; background-repeat: repeat-x; ";
        }
        parentDiv.style.cssText = css_text;
        if (this.IdPrefix) {
            parentDiv.id = this.IdPrefix + "_TopLine";
        }
        if (this.ClassForLine) {
            parentDiv.className = this.ClassForLine;
        }

        var divLeftCorner = document.createElement("DIV");
        css_text = "width: " + this.WidthLeftCorner + "px; height: " + this.Height + "px; " +
                                "position: absolute; top: 0; left: 0; margin-left: -" + this.WidthLeftCorner + "px;";
        if (this.PathForLeftCorner) {
            css_text = css_text + " background-image: url(" + this.PathForLeftCorner + "); background-position: " + this.PositionForLeftCorner + "; background-repeat: no-repeat; ";
        }
        divLeftCorner.style.cssText = css_text;
        if (this.IdPrefix) {
            divLeftCorner.id = this.IdPrefix + "_TopLeftCorner";
        }
        if (this.ClassForLeftCorner) {
            divLeftCorner.className = this.ClassForLeftCorner;
        }
        parentDiv.appendChild(divLeftCorner);

        var divRightCorner = document.createElement("DIV");
        css_text = "width: " + this.WidthRightCorner + "px; height: " + this.Height + "px; " +
                                "position: absolute; top: 0; right: 0; margin-right: -" + this.WidthRightCorner + "px;";
        if (this.PathForRightCorner) {
            css_text = css_text + " background-image: url(" + this.PathForRightCorner + "); background-position: " + this.PositionForRightCorner + "; background-repeat: no-repeat; ";
        }
        divRightCorner.style.cssText = css_text;
        if (this.IdPrefix) {
            divRightCorner.id = this.IdPrefix + "_TopRightCorner";
        }
        if (this.ClassForRightCorner) {
            divRightCorner.className = this.ClassForRightCorner;
        }
        parentDiv.appendChild(divRightCorner);

        if (this.ParentHolder) {
            this.ParentHolder.appendChild(parentDiv);
        }

        return parentDiv.outerHTML;
    }
};