﻿/*
_placeHolder - куда добавляем сообщение
_controlElement - value какого элемента контролируем
_submitElement - после нажатия на какую кнопку должна проходить проверка
_text - текст, который выводим
_title - хинт у текста
_class - css класс для текста
*/
iascore.NullValidateManager = function (_placeHolder, _controlElement, _submitElement, _text, _title, _class, _actionAfterNotValid) {
    this.PlaceHolder = _placeHolder;
    this.ControlElement = _controlElement;
    this.SubmitElement = _submitElement;
    this._nullValidateDiv = null;
    this.Text = _text;
    this.Title = _title;
    this.CssClass = _class;
    if (_actionAfterNotValid != undefined) {
        this.ActionAfterNotValid = _actionAfterNotValid;
    }
    else {
        this.ActionAfterNotValid = function () { };
    }

    this._render();
};

iascore.NullValidateManager.prototype = {
    _render: function () {
        this._nullValidateDiv = document.createElement("div");
        this._nullValidateDiv.innerHTML = this.Text;
        this._nullValidateDiv.title = this.Title;
        this._nullValidateDiv.style.display = "none";
        this._nullValidateDiv.className = this.CssClass;
        this.PlaceHolder.appendChild(this._nullValidateDiv);

        var self = this;
        this.SubmitElement.Click.insert(0, function (sender, args) { self._checkControlElement(sender, args); }, this);
        this.ControlElement.Focus.insert(0, function () { self._nullValidateDiv.style.display = "none"; }, this);
    },

    _checkControlElement: function (sender, args) {
        var needToDo = 0;
        if (this.ControlElement.getValue() == null) {
            if (typeof (this.ControlElement.getContent()) != "undefined" && this.ControlElement.getContent() && this.ControlElement.getContent().trim() != "")
                needToDo = 1;
        }
        else {
            if (this.ControlElement.getValue().trim() != "")
                needToDo = 1;
        }

        switch (needToDo) {
            case 0:
                this._nullValidateDiv.style.display = "block";
                this.ActionAfterNotValid();
                args.Break = true;
                break;
            case 1:
                this._nullValidateDiv.style.display = "none";
                break;
        };
    }
};