﻿if (typeof od.searchengine == "undefined") od.searchengine = new Object();

od.searchengine.SearchBarShort = function (caption, clientID, parentHolderID, resultsFilter, PageSize, topCnt) {
    this.Caption = caption;
    this.ClientID = clientID;
    this.ResultsFilter = resultsFilter;
    this.ComboParam = undefined;
    this.TopCnt = topCnt;
    ////debugger;
    this.ParentCenterHolder = null;
    if (parentHolderID) {
        this.ParentHolder = document.getElementById(parentHolderID);
    }

    var combo = new SortCombo("'CDATE','DATE','ENAME'");
    //var combo = new SortCombo("'DATE'");
    var sb = this;
    
    combo.GetSortNodes(function (nodes) {            
        sb.DrawOnPage(nodes, topCnt);
        
        //sb.BaseSearchManager = new od.searchengine.SearchBarBase();
        //sb.BaseSearchManager.CreateResultViewer(sb.ClientID + "_CenterHolder");
        //sb.BaseSearchManager.ResultsViewer.ShortOutput = true;
        //sb.BaseSearchManager.ResultsViewer.PageSize = ((typeof (PageSize) != "undefined") ? PageSize : 8);
        //sb.BaseSearchManager.ResultsViewer.NeedSaveSession = false;
        //sb.BaseSearchManager.SetResultsFilterValueUI(sb.ResultsFilter);

        //sb.StartSearchForBlock(sb, topCnt);
    });    

    /*this.DrawOnPage();

    this.BaseSearchManager = new od.searchengine.SearchBarBase();
    this.BaseSearchManager.CreateResultViewer(this.ClientID + "_CenterHolder");
    this.BaseSearchManager.ResultsViewer.ShortOutput = true;
    this.BaseSearchManager.ResultsViewer.PageSize = ((typeof(PageSize)!= "undefined") ?  PageSize : 8);
    this.BaseSearchManager.ResultsViewer.NeedSaveSession = false;
    this.BaseSearchManager.SetResultsFilterValueUI(this.ResultsFilter);

    this.StartSearchForBlock(this);*/
};


var searchBarShortP = od.searchengine.SearchBarShort.prototype;

searchBarShortP.DrawOnPage = function (nodes, topCnt) {
    var divCaptionContainer = document.createElement("div");
    divCaptionContainer.className = "SBShortCaptionContainer";

    var divCaptionHolder = document.createElement("div");
    divCaptionHolder.className = "SBShortCaptionHolder";
    divCaptionHolder.innerHTML = this.Caption;

    //this.ParentHolder.appendChild(divCaptionHolder);
    divCaptionContainer.appendChild(divCaptionHolder);

    var divComboLinkHolder = document.createElement("div");
    divComboLinkHolder.className = "divComboLinkHolder";

    var sortText = document.createElement("div");
    sortText.innerHTML = "Сортировать";
    sortText.className = "sortText";
    divComboLinkHolder.appendChild(sortText);
   
    var vNodes = nodes;    
        /*[{ Id: "0",
        Text: "По дате публикации",
        Data: 0,
        Columns: ["По дате публикации"]
    },
        { Id: "1",
            Text: "По дате изменения",
            Data: 1,
            Columns: ["По дате изменения"]
        },
        { Id: "2",
            Text: "По популярности",
            Data: 2,
            Columns: ["По популярности"]
        }];*/

    this.ComboParam = new od.TreeComboInNewDesign(vNodes, divComboLinkHolder, 195, 28, this.ClientID,
        function(selfinst) {
            $('#NewFactors_CenterHolder').html('');
            searchBarShortP.StartSearchForBlock(selfinst, topCnt);
        }, this);

    var divLink = document.createElement("div");
    divLink.innerHTML = "Посмотреть все";
    divLink.className = "SBLinkShowAll";
    var self = this;
    divLink.onclick = function () {
        //iascore.StartProgress();
        //od.SearchManager.SearchOtherAllElements(self.ResultsFilter, self.DateOption, self.SortOption);
        location.href = "searchengine/dataset.aspx";
    };
    divComboLinkHolder.appendChild(divLink);

    //this.ParentHolder.appendChild(divComboLinkHolder);
    divCaptionContainer.appendChild(divComboLinkHolder);

    this.ParentHolder.appendChild(divCaptionContainer);

    var divCenterHolder = document.createElement("div");
    divCenterHolder.id = this.ClientID + "_CenterHolder";
    divCenterHolder.className = "SBShortCenterHolder";
    this.ParentCenterHolder = divCenterHolder;

    this.ParentHolder.appendChild(divCenterHolder);


    this.BaseSearchManager = new od.searchengine.SearchBarBase();
    this.BaseSearchManager.CreateResultViewer(this.ClientID + "_CenterHolder");
    this.BaseSearchManager.ResultsViewer.ShortOutput = true;
    this.BaseSearchManager.ResultsViewer.PageSize = ((typeof (PageSize) != "undefined") ? PageSize : 8);
    this.BaseSearchManager.ResultsViewer.NeedSaveSession = false;
    this.BaseSearchManager.SetResultsFilterValueUI(this.ResultsFilter);
    
    this.ComboParam.ComboBox.getTreeList().getNodes().getItem(1).setSelected(true);
    this.ComboParam.ComboBox.setContent(this.ComboParam.ComboBox.getTreeList()._SelectedNode.Text);    
};

searchBarShortP.GetParams = function () {
    var selection_param = this.ComboParam.ComboBox.getTreeList().getSelectedNodes()[0].getData();
    
    //switch (selection_param) {
    //    case 0:
    //        this.DateOption = od.searchengine.DateOption.All;
    //        this.SortOption = od.searchengine.SortOption.Date;
    //        break;
    //    case 1:
    //        this.DateOption = od.searchengine.DateOption.All;
    //        this.SortOption = od.searchengine.SortOption.CDate;
    //        break;
    //    case 2:
    //        this.DateOption = od.searchengine.DateOption.All;
    //        this.SortOption = od.searchengine.SortOption.Rating;
    //        break;
    //    case 3:
    //        this.DateOption = od.searchengine.DateOption.All;
    //        this.SortOption = od.searchengine.SortOption.EName;
    //        break;
    //}
    
    switch (selection_param) {
        case 0:
            this.DateOption = od.searchengine.DateOption.All;
            this.SortOption = od.searchengine.SortOption.Relevance;//.Date;
            break;
        case 1:
            this.DateOption = od.searchengine.DateOption.All;
            this.SortOption = od.searchengine.SortOption.Rating;//.Date;//.CDate;
            break;
        case 2:
            this.DateOption = od.searchengine.DateOption.All;
            this.SortOption = od.searchengine.SortOption.Date;//.CDate;//.Rating;
            break;
        case 3:
            this.DateOption = od.searchengine.DateOption.All;
            this.SortOption = od.searchengine.SortOption.CDate;//.Rating;//.EName;
            break;
        case 4:
            this.DateOption = od.searchengine.DateOption.All;
            this.SortOption = od.searchengine.SortOption.EName;
            break;
		case 5:
            this.DateOption = od.searchengine.DateOption.All;
            this.SortOption = od.searchengine.SortOption.DataCount;
            break;
    }
};

searchBarShortP.StartSearchForBlock = function (selfinst, topCnt) {
    if (selfinst.BaseSearchManager != undefined)
    {
        iascore.StartProgress();
        selfinst.GetParams();

        selfinst.BaseSearchManager.SetDateOptionValueUI(selfinst.DateOption);
        selfinst.BaseSearchManager.SetSortOptionValueUI(selfinst.SortOption);

        selfinst.BaseSearchManager.SetFromMainOptionValueUI(true);
        ////debugger;
        selfinst.BaseSearchManager.StartSearch(false, topCnt);
    }    
};

